WorkflowSettings
Create or replace the branch category settings for the current company
PUT
/
workflows
/
settings
/
branch-category
Create or replace the branch category settings for the current company
curl --request PUT \
--url https://api.reelevant.com/v2/workflows/settings/branch-category \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"rootOrder": [
"<string>"
],
"categories": {},
"resourceGroupIds": [
"<string>"
]
}
'import requests
url = "https://api.reelevant.com/v2/workflows/settings/branch-category"
payload = {
"rootOrder": ["<string>"],
"categories": {},
"resourceGroupIds": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({rootOrder: ['<string>'], categories: {}, resourceGroupIds: ['<string>']})
};
fetch('https://api.reelevant.com/v2/workflows/settings/branch-category', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"program": "<string>",
"version": "<string>",
"datetime": "<string>",
"message": "<string>",
"data": {
"_id": "<string>",
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"companyId": "<string>",
"resourceGroupIds": [
"<string>"
],
"rootOrder": [
"<string>"
],
"categories": {}
},
"code": 123
}{
"program": "<string>",
"version": "<string>",
"datetime": "<string>",
"status": "fail",
"code": 123,
"message": "<string>",
"data": {
"id": "<string>"
},
"error_code": 123
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Body
application/json
Was this page helpful?
⌘I
Create or replace the branch category settings for the current company
